define(function () {
        'use strict';
        
        var mixin = {
			getData: function () {
                return {
					'method': this.item.method,
					'additional_data': {
						'bank_account_owner': jQuery('#bankaccountowner').val(),
						'iban': jQuery('#iban').val(),
						'bic': jQuery('#bic').val(),
						'bank_company': ''
					}
                };
			}};
        
        return function(target) {
        	return target.extend(mixin);
        };
    }
);